timestamp

A 64-bit timestamp in milliseconds since the Unix epoch. More...

`#include <timestamp.hpp>`

Inherits comparable< timestamp >.

## Public Types

typedef int64_t | numeric_type
| A numeric type holding a value in milliseconds.

## Public Member Functions

| timestamp (numeric_type ms=0)
| Construct from a value in milliseconds.
timestamp & | operator= (numeric_type ms)
| Assign a value in milliseconds.
numeric_type | milliseconds () const
| Get the value in milliseconds.

## Static Public Member Functions

static timestamp | now ()
| The current wall-clock time.

## Detailed Description

A 64-bit timestamp in milliseconds since the Unix epoch.

The dawn of the Unix epoch was 00:00:00 (UTC), 1 January 1970.

Examples
  service_bus.cpp.

The documentation for this class was generated from the following file:

- proton/timestamp.hpp